
package com.ocsystems.rtiplugin;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.rhq.core.domain.configuration.Configuration;
import org.rhq.enterprise.server.plugin.pc.ControlFacet;
import org.rhq.enterprise.server.plugin.pc.ControlResults;
import org.rhq.enterprise.server.plugin.pc.ServerPluginComponent;
import org.rhq.enterprise.server.plugin.pc.ServerPluginContext;

/**
 */
public class MyAlertComponent implements ServerPluginComponent, ControlFacet 
{
   public static final String PREFIX = "PROBLEM: "; 
   private final Log log = LogFactory.getLog(MyAlertComponent.class);
   
   public void initialize(ServerPluginContext context) throws Exception 
   {
      log.info(PREFIX + "init:");
   }

   public void start() 
   {
      log.info(PREFIX + "start:");
   }

   public void stop() 
   {
      log.info(PREFIX + "stop:");
   }

   public void shutdown() 
   {
      log.info(PREFIX + "shutdown:");
   }


   public ControlResults invoke(String name, Configuration parameters) 
   {
      ControlResults results = new ControlResults();

      try 
      {
         log.info(PREFIX + "invoke = " + name);
      } 
      catch (Exception e) 
      {
         log.error(PREFIX + "Operation failed: " + name + " Cause - " + e.getMessage());
         e.printStackTrace();
         results.setError(e);
      }

      return results;
   }

}
